# perl
#
# Person example class
#
# PORF Perl Open Report Framework
#
# Ralf Peine, Sat May 04 11:10:03 2013
#
#------------------------------------------------------------------------------

use warnings;
use strict;

package Person;

# --- Create Instance -----------------
sub new
{
    my $caller = $_[0];
    my $class  = ref($caller) || $caller;
    
    # let the class go
    my $self = {};
    bless $self, $class;

    return $self;
}

#--------------------------------------------------------------------------------
#
#  Attributes
#
#--------------------------------------------------------------------------------

# --- Count ---------------------------------------------------------------------

sub SetCount {
	my ($self,        # instance_ref
		$value        # value to set
	) = @_;

	$self->{Count} = $value;
}

sub GetCount {
	my ($self,        # instance_ref
	) = @_;
	
	return $self->{Count};
}

# --- Prename -------------------------------------------------------------------

sub SetPrename {
	my ($self,        # instance_ref
		$value        # value to set
	) = @_;

	$self->{Prename} = $value;
}

sub GetPrename {
	my ($self,        # instance_ref
	) = @_;
	
	return $self->{Prename};
}

# --- Surname -------------------------------------------------------------------

sub SetSurname {
	my ($self,        # instance_ref
		$value        # value to set
	) = @_;

	$self->{Surname} = $value;
}

sub GetSurname {
	my ($self,        # instance_ref
	) = @_;
	
	return $self->{Surname};
}

# --- Age -----------------------------------------------------------------------

sub SetAge {
	my ($self,        # instance_ref
		$value        # value to set
	) = @_;

	$self->{Age} = $value;
}

sub GetAge {
	my ($self,        # instance_ref
	) = @_;
	
	return $self->{Age};
}

# --- Time ----------------------------------------------------------------------

sub SetTime {
	my ($self,        # instance_ref
		$value        # value to set
	) = @_;

	$self->{Time} = $value;
}

sub GetTime {
	my ($self,        # instance_ref
	) = @_;
	
	return $self->{Time};
}

1;
